# cycler with different colors
colorcycler = Utils.cycle "#28AFFA","#F8B000","#877DD7","#7DDD11"

# bouncier default animation
Framer.Defaults.Animation = curve: "spring(400, 30)"

layerA = new Layer
	size: 350
	borderRadius: 13
	backgroundColor: colorcycler()
	point: Align.center
	scale: 0.72

currentColor = layerA.backgroundColor


layerA.onTap ->
	this.backgroundColor = colorcycler()
	# save current color as a reference value
	currentColor = this.backgroundColor

layerA.onDoubleTap ->
	if this.scale is 1
		this.animate
			scale: .72
	else
		this.animate
			scale: 1

layerA.onLongPress ->
	this.animate
		rotation: this.rotation + 45

layerA.onForceTapChange ->
	if event.force >= .7	# limit to onForceTap
		# Map 0.7 > 1 force to a 0 > 50 % darken value
		relativeForce = Utils.modulate event.force, [.7, 1], [0, 50]
		this.backgroundColor = currentColor.darken relativeForce
